package org.jerrymouse.chineseCalendar.test;

import java.util.ArrayList;
import java.util.List;

import org.jerrymouse.chineseCalendar.model.birthday.Birthday;
import org.jerrymouse.chineseCalendar.model.birthday.BirthdayEncoder;
import org.jerrymouse.chineseCalendar.model.birthday.SimpleCalendar;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class TestDataProvier {
	@Autowired
	BirthdayEncoder birthdayEncoder;

	public String generateTestArg() {
		return birthdayEncoder.encode(generateTestData());
	}

	public List<Birthday> generateTestData() {
		List<Birthday> birthdays = new ArrayList<Birthday>();
		birthdays.add(new Birthday("颜开", new SimpleCalendar("1989-1-28")));
		birthdays.add(new Birthday("颜澍", new SimpleCalendar("1989-5-7")));
		return birthdays;
	}

	public List<Birthday> generateTestData2() {
		List<Birthday> birthdays = new ArrayList<Birthday>();
		birthdays.add(new Birthday("A", new SimpleCalendar("1989-6-30")));
		birthdays.add(new Birthday("B", new SimpleCalendar("1988-7-15")));
		birthdays.add(new Birthday("C", new SimpleCalendar("1990-7-26")));
		return birthdays;
	}

}
